Bug 239077 - needs ExclusiveArch (which then need propagated through ocaml-*)
Summary: needs ExclusiveArch (which then need propagated through ocaml-*)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 239222
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 239078 239517 239518 250253 wyrd-ppc64
TreeView+ depends on / blocked
 
Reported: 2007-05-04 19:15 UTC by Bill Nottingham
Modified: 2014-03-17 03:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-29 20:06:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-05-04 19:15:59 UTC
ocaml uses inline asm for garbage collection and similar things. This
inline asm does not exist on PPC64, therefore ocaml can't build (and things that
depend on it can't build.)

Something like:

ExclusiveArch: alpha armv4l %{ix86} ia64 ppc sparc

seems appropriate, looking at the .S files in the asmrun dir.

Comment 1 Gérard Milmeister 2007-05-04 23:35:18 UTC
This is something that should go into
http://fedoraproject.org/wiki/PackagingDrafts/OCaml
and/or
http://fedoraproject.org/wiki/SIGs/OCaml

BTW, this affects only the native compiler? One could build on ppc64 without the
native compiler. However this would become quite maintenance intensive.


Comment 2 Nigel Jones 2007-05-06 12:37:36 UTC
As posted in private e-mail to Gerald, I'm working on a patch (now with the help
of David Woodhouse) to get ocaml building with native ppc64 support.

Comment 3 Till Maas 2007-10-21 18:17:30 UTC
(In reply to comment #0)

> ExclusiveArch: alpha armv4l %{ix86} ia64 ppc sparc

There is x86_64 missing in this list, and in the devel spec you use "ExcludArch:
ppc64". Can you please add the correct information of what should be added  to
the spec to http://fedoraproject.org/wiki/Packaging/OCaml ? And maybe adjust the
Summary of this and the cloned bugs? Otherwise this is pretty confusing.

Comment 4 David Woodhouse 2008-02-26 14:43:39 UTC
For reference: I got ocaml building and seeming to work fine on PPC64. My work
is at git://git.infradead.org/~dwmw2/ocaml-ppc64.git -- see
http://git.infradead.org/?p=users/dwmw2/ocaml-ppc64.git;a=summary

The compiler was self-hosting and all tests seemed to be working fine, so I
built a bunch of other packages. I found a SEGV in freetennis though, and never
got round to debugging it. Building other packages would be interesting --
either they'll work fine, or if they don't they may turn out to be easier to debug.

Packages at ftp://bombadil.infradead.org/pub/ocaml/

Comment 5 David Woodhouse 2008-02-29 20:06:09 UTC
ocaml-3.10.1-2.fc9 built for ppc64 in rawhide.

Let me know if you find any problems with it. 

Comment 6 Stephen Warren 2008-03-26 04:03:30 UTC
Out of curiosity, will this change be back-ported to F-8/7?


Comment 7 David Woodhouse 2008-03-26 08:21:49 UTC
I think we need to rebuild all ocaml packages when we change the ocaml compiler,
so probably not. I suppose we could add the ppc64 support in CVS, so that it's
there just in _case_ we have to rebuild everything for F8. That's up to the
package maintainers though.


Note You need to log in before you can comment on or make changes to this bug.